<div class="mat-typography content">
  <h1 mat-dialog-title>Select Adaptive Definition</h1>
  <mat-divider></mat-divider>
  <div mat-dialog-content>
    <mat-progress-bar *ngIf="isLoading$ | async" mode="indeterminate"></mat-progress-bar>
    <sentinel-list resourceName="Released Adaptive Training Definitions"
               mode="radio"
               titleMaxLength="50"
               [resource]="released$ | async"
               [hasError]="releasedHasError$ | async"
               [selected]="selected"
               [pageSize]="PAGE_SIZE"
               (pageChange)="fetch($event, true)"
               (selectionChange)="onSelectionChange($event)">
    </sentinel-list>
    <sentinel-list resourceName="Unreleased Adaptive Training Definitions"
               mode="radio"
               titleMaxLength="50"
               [resource]="unreleased$ | async"
               [hasError]="unreleasedHasError$ | async"
               [selected]="selected"
               [pageSize]="PAGE_SIZE"
               (pageChange)="fetch($event, false)"
               (selectionChange)="onSelectionChange($event)">
    </sentinel-list>
  </div>

  <div mat-dialog-actions>
    <button (click)="cancel()"
            mat-button color="warn">Cancel</button>
    <span class="spacer"></span>
    <button (click)="confirm()"
            [disabled]="!selected"
            mat-button color="primary">Select</button>
  </div>
</div>
